<?php
/**
 * @package   Magic robots.txt
 * @author    ABCdatos
 * @license   GPLv2
 * @link      https://taller.abcdatos.net/robots-txt-wordpress/
*/

defined( 'ABSPATH' ) or die( 'No se permite el acceso.' );

// Versión con la que se grabó la configuración. Su existencia confirma haber usado el asistente.
function mrt_conf_version() {
	$version= get_option( 'mrt_version' , '' );
	return esc_html( $version );
}

function mrt_conf_avanzado() {
	$avanzado= get_option( 'mrt_avanzado' , 0 );
	return esc_html( $avanzado );
}

// Niveles de acceso
function mrt_conf_buscadores() {
	$nivel = get_option( 'mrt_buscadores' , 3 );
	return esc_html( $nivel );
}

function mrt_conf_carga() {
	// Sin valor por defecto para comprobación automática en la config
	//$carga = get_option( 'mrt_carga' , 3 );
	$carga = get_option( 'mrt_carga' );
	return esc_html( $carga );
}

function mrt_conf_ahorro() {
	$ahorro = get_option( 'mrt_ahorro' , 3 );
	return esc_html( $ahorro );
}

function mrt_conf_sitio_publico() {
	// Por defecto equivale a si el sitio está activo
	// Por ahora quedará fuera de la BBDD, usando directamente la opción de WP
	//$sitio_publico = get_option ( 'mrt_sitio_publico' , get_option ( 'blog_public' ) );
	$sitio_publico = get_option( 'blog_public' );
	return esc_html( $sitio_publico );
}

function mrt_conf_venta_publicidad() {
	// Por defecto equivale a si se detecta publi
	// Es una sobrecarga innecesaria tal vez al consultrarlo siempre, al ser solo para el robots.txt y admin es soportable.
	$venta_publicidad = get_option( 'mrt_venta_publicidad' , mrt_hay_plugin_publi() );
	return esc_html( $venta_publicidad );
}

function mrt_conf_venta_enlaces() {
	$venta_enlaces = get_option( 'mrt_venta_enlaces' , 0 );
	return esc_html( $venta_enlaces );
}

function mrt_conf_usar_archivo() {
	$usar_archivo = get_option( 'mrt_usar_archivo' , mrt_usar_archivo_omision() );
	return esc_html( $usar_archivo );
}
